#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		_enable_debug_packages	0

%define		ocaml_ver	1:3.10.0
Summary:	OCaml library managing dates and times
Summary(pl.UTF-8):	Biblioteka OCamla do obsługi daty i czasu
Name:		ocaml-calendar
Version:	2.04
Release:	6
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://forge.ocamlcore.org/frs/download.php/1481/calendar-%{version}.tar.gz
# Source0-md5:	625b4f32c9ff447501868fa1c44f4f4f
URL:		https://forge.ocamlcore.org/projects/calendar/
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
BuildRequires:	sed >= 4.0
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Calendar library is an OCaml library providing a set of operations
over dates and times.

%description -l pl.UTF-8
Calendar to biblioteka OCamla udostępniająca operacje na datach i
czasie.

%package devel
Summary:	OCaml library managing dates and times
Summary(pl.UTF-8):	Biblioteka OCamla do obsługi daty i czasu
Group:		Development/Libraries
%requires_eq	ocaml
Requires:	%{name} = %{version}-%{release}

%description devel
The Calendar library is an OCaml library providing a set of operations
over dates and times.

This package contains files needed to develop OCaml programs using
calendar library.

%description devel -l pl.UTF-8
Calendar to biblioteka OCamla udostępniająca operacje na datach i
czasie.

Ten pakiet zawiera pliki niezbędne do tworzenia programów używających
biblioteki calendar.

%prep
%setup -q -n calendar-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{calendar,stublibs}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr tests/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{_libdir}/ocaml/calendar
%{_libdir}/ocaml/calendar/META
%{_libdir}/ocaml/calendar/calendarLib.cma
%{_libdir}/ocaml/calendar/calendarLib.cmo
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/calendar/calendarLib.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/calendar/calendarLib.cmi
# doc?
%{_libdir}/ocaml/calendar/*.mli
%if %{with ocaml_opt}
%{_libdir}/ocaml/calendar/calendarLib.cmx
%{_libdir}/ocaml/calendar/calendarLib.cmxa
%{_libdir}/ocaml/calendar/calendarLib.a
%{_libdir}/ocaml/calendar/calendarLib.o
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-calendar.git;a=log;h=master

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 06ce78a
- update META location
- rel 6

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 0f9a2c1
- no debug stuff here
- rel 5

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 10d695d
- rebuild with ocaml 4.04.1
- release 4 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> abd3533
- release 3 (by relup.sh)

* Fri Jul 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 7372587
- added base package with modules which can be loaded dynamically
- added ocaml_opt bcond
- release 2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> e73cc7e
- up to 2.04

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> d409f8b
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> bd257ad
- 2.03.1

* Sat Apr 18 2009 areq <areq@pld-linux.org> 808f1ae
- fix(?) META

* Sat Apr 18 2009 areq <areq@pld-linux.org> 269ea1d
- 2.01.1

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 85e125a
- release 5

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> e12ba64
- pl, mention OCaml in descs

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 9ec1560
- rel 4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c6776b3
- rel 3

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 559f61a
- rel 2
- fixed wrong Req

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> a205293
- initial revision

